Page MenuHomeFreeBSD

security/p5-openxpki: Update to 3.16.0
ClosedPublic

Authored by driesm on Nov 28 2021, 6:04 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jun 21, 9:54 PM
Unknown Object (File)
Tue, Jun 18, 11:06 PM
Unknown Object (File)
Fri, Jun 7, 3:58 AM
Unknown Object (File)
Mon, Jun 3, 10:59 AM
Unknown Object (File)
Thu, May 30, 8:30 AM
Unknown Object (File)
May 14 2024, 6:57 AM
Unknown Object (File)
May 2 2024, 2:30 PM
Unknown Object (File)
Apr 22 2024, 3:00 AM
Subscribers

Details

Summary
security/p5-openxpki: Update to 3.16.0

While here remove stale CONFLICTS line.

 Changes:		https://github.com/openxpki/openxpki/releases/tag/v3.16.0
 PR:			260050
 Approved by:		tbd (mentor)
 Differential Revision:	https://reviews.freebsd.org/D33149
Test Plan

Testport looks good.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Bump conf version + remove stale CONFLICTS line.

driesm edited the summary of this revision. (Show Details)
0mp added inline comments.
security/p5-openxpki/Makefile
15

Note: BUILD_DEPENDS= ${RUN_DEPENDS} should not be used (see PHB). This is not part of this change, but you may want to address this issue.

Usually, I introduce another variable, like _MY_DEPENDS, and then use it for both RUN and BUILD depends.

133

Hmm, I wonder why we have .include <bsd.port.pre.mk> here. We could probably remove it and change the last line to .include <bsd.port.mk>.

This revision is now accepted and ready to land.Nov 28 2021, 7:19 PM
This revision was automatically updated to reflect the committed changes.